Bug 739637 - guest crash
Summary: guest crash
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Gleb Natapov
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 767187
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:05 UTC by Dan Kenigsberg
Modified: 2013-12-09 00:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 18:34:14 UTC


Attachments (Terms of Use)
guest traceback after crash (25.12 KB, image/png)
2011-09-19 17:05 UTC, Dan Kenigsberg
no flags Details

Description Dan Kenigsberg 2011-09-19 17:05:35 UTC
Created attachment 523874 [details]
guest traceback after crash

Description of problem:
I had a RHEL-6 guest running for months on rhev-2.2.z (host kernel 2.6.18-272.el5). Recently, the guest was transferred to rhev-3.0-beta2, and started to halt after several hour of use.

Version-Release number of selected component (if applicable):
host kernel-2.6.32-131.12.1.el6.x86_64
qemu-kvm-0.12.1.2-2.184.el6.x86_64
guest kernel-2.6.32-71.18.2.el6.x86_64

How reproducible:
after several hours of usage

Steps to Reproduce:
1. start my guest
2. run gerrit inside it for several hours
3. crash

Sasha suspected that this is related to my guest having virtio NIC, changed it to rtl8139, but the problem persists.

Comment 1 Dan Kenigsberg 2011-09-19 17:08:23 UTC
qemu commandline for my guest is

/usr/libexec/qemu-kvm -S -M rhel6.0.0 -cpu Westmere -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -name danken-rhel62 -uuid 507e973e-c300-4742-b664-b87857829c81 -smbios type=1,manufacturer=Red Hat,product=RHEL,version=6Server-6.1.0.2.el6_1,serial=# SMBIOS implementations newer than version 2.6 are not?# fully supported by this version of dmidecode.?30353036-3837-4247-3831-303946353250_78:E7:D1:22:47:88,uuid=507e973e-c300-4742-b664-b87857829c81 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/danken-rhel62.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2011-09-19T16:49:39 -no-shutdown -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x5 -drive file=/rhev/data-center/f79b0b28-c82f-11e0-8739-78e7d1e48c4c/5bab6470-8825-4e3a-b408-ebcde93678b6/images/f7c683b9-d904-40ba-b677-bfa298f97370/376cafc5-0eb9-4c3c-b2f6-f125dd3f50ad,if=none,id=drive-virtio-disk0,format=qcow2,serial=ba-b677-bfa298f97370,cache=none,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=35,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=00:1a:4a:eb:ff:d2,bus=pci.0,addr=0x3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/danken-rhel62.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -usb -device usb-tablet,id=input0 -vnc 0:9,password -k en-us -vga cirrus -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0

Comment 2 Dor Laor 2011-09-21 08:43:52 UTC
There is not enough info in the stack trace. Was anything saving the the guest?
Can you import the guest outside so Gleb will play w/ it? or configure serial to collect the guest log? Was there any significant host logging?


Note You need to log in before you can comment on or make changes to this bug.